PendingFile (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.streaming
Class PendingFile

    java.lang.Object
      org.apache.cassandra.streaming.PendingFile

    public class PendingFile

extends java.lang.Object

Represents portions of a file to be streamed between nodes.

Nested Class Summary
`static class` | `PendingFile.PendingFileSerializer`

Field Summary
`java.lang.String` | `component`
`Descriptor` | `desc`
`long` | `estimatedKeys`
`long` | `progress`
`java.util.List<Pair<java.lang.Long,java.lang.Long>>` | `sections`
`long` | `size`
`SSTableReader` | `sstable`
`OperationType` | `type`

Constructor Summary
`PendingFile(Descriptor desc, PendingFile pf)`
`PendingFile(SSTableReader sstable, Descriptor desc, java.lang.String component, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections, OperationType type)`
`PendingFile(SSTableReader sstable, Descriptor desc, java.lang.String component, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections, OperationType type, long estimatedKeys)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getFilename()`
`int` | `hashCode()`
`static PendingFile.PendingFileSerializer` | `serializer()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sstable

    public final SSTableReader sstable

### desc

    public final Descriptor desc

### component

    public final java.lang.String component

### sections

    public final java.util.List<Pair<java.lang.Long,java.lang.Long>> sections

### type

    public final OperationType type

### size

    public final long size

### estimatedKeys

    public final long estimatedKeys

### progress

    public long progress

Constructor Detail

### PendingFile

    public PendingFile(Descriptor desc,
                       PendingFile pf)

### PendingFile

    public PendingFile(SSTableReader sstable,
                       Descriptor desc,
                       java.lang.String component,
                       java.util.List<Pair<java.lang.Long,java.lang.Long>> sections,
                       OperationType type)

### PendingFile

    public PendingFile(SSTableReader sstable,
                       Descriptor desc,
                       java.lang.String component,
                       java.util.List<Pair<java.lang.Long,java.lang.Long>> sections,
                       OperationType type,
                       long estimatedKeys)

Method Detail

### serializer

    public static PendingFile.PendingFileSerializer serializer()

### getFilename

    public java.lang.String getFilename()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation